Bug 723987 - "The service Printer Configuration does not provide an interface KCModule...".
"The service Printer Configuration does not provide an interface KCModule...".
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdeadmin (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-4.7
  Show dependency treegraph
 
Reported: 2011-07-21 12:54 EDT by Martin Kho
Modified: 2011-10-04 17:19 EDT (History)
8 users (show)

See Also:
Fixed In Version: akonadi-1.6.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-19 06:51:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
path for #723987 (893 bytes, patch)
2011-08-20 06:40 EDT, robal
no flags Details | Diff

  None (edit)
Description Martin Kho 2011-07-21 12:54:25 EDT
Description of problem:
The above message is caused by a missing (python) module:

Traceback (most recent call last):
    File
"/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-
kde.py", line 75, in<module>
    import cupshelpers, options
File "/usr/share/kde4/apps/system-config-printer-kde/options.py", line
34, in<module>
    import ppdippstr
ImportError: No module named ppdippstr

Version-Release number of selected component (if applicable):
* kdeadmin-4.6.95-1.fc16.x86_64
* system-config-printer-kde-4.6.95-1.fc16.x86_64

How reproducible:
Always when starting Printer Configuration from System Settings

Steps to Reproduce:
1. Start System Settings 
2. Start Printer Configuration (and enter root password)
3. A dialogue box opens with the summary message
  
Actual results:
dialogue box with summary message 

Expected results:
dialogue box opens with printers and printer settings

Additional info:
I 'solved' this issue by copying the missing module(s) from system-config-printer-1.3.4-1.fc16.x86_64. system-config-printer contains some other ppd related modules. I'm not sure if these are also needed.
Comment 1 robal 2011-08-20 06:40:37 EDT
Created attachment 519137 [details]
path for #723987

dirty and quick hack for solving bug #723987
PS. sorry for my english
Comment 2 Kevin Kofler 2011-08-20 08:09:18 EDT
That's not the correct solution: It will make system-config-printer-kde depend on the main system-config-printer package rather than just on system-config-printer-libs. (Our system-config-printer maintainer refuses to put those files into -libs as Ubuntu is doing because he says those are not public APIs, but internal application classes.)

We need to just copy the missing modules into the system-config-printer-kde package.
Comment 3 Kevin Kofler 2011-09-19 06:51:40 EDT
kdeadmin-4.7.1-2.fc17, which fixes this, built for Rawhide.
Comment 4 Fedora Update System 2011-09-28 09:34:35 EDT
akonadi-1.6.1-1.fc16, blinken-4.7.1-2.fc16, cantor-4.7.1-2.fc16, gwenview-4.7.1-2.fc16, kalgebra-4.7.1-1.fc16, kalzium-4.7.1-1.fc16, kamera-4.7.1-1.fc16, kanagram-4.7.1-1.fc16, kate-4.7.1-1.fc16, kbruch-4.7.1-2.fc16, kcolorchooser-4.7.1-1.fc16, kdeaccessibility-4.7.1-1.fc16, kdeadmin-4.7.1-2.fc16, kdeartwork-4.7.1-1.fc16, kdebase-4.7.1-2.fc16, kdebase-runtime-4.7.1-1.fc16, kdebase-workspace-4.7.1-2.fc16, kdeedu-4.7.1-2.fc16, kdegames-4.7.1-1.fc16, kdegraphics-4.7.1-1.fc16, kdegraphics-strigi-analyzer-4.7.1-1.fc16, kdegraphics-thumbnailers-4.7.1-1.fc16, kde-l10n-4.7.1-1.fc16, kdelibs-4.7.1-1.fc16, kdemultimedia-4.7.1-4.fc16, kdenetwork-4.7.1-1.fc16, kdepim-4.7.1-1.fc16, kdepimlibs-4.7.1-1.fc16, kdepim-runtime-4.7.1-4.fc16, kdeplasma-addons-4.7.1-1.fc16, kdesdk-4.7.1-1.fc16, kde-settings-4.7-7.fc16, kdetoys-4.7.1-1.fc16, kgamma-4.7.1-1.fc16, kgeography-4.7.1-2.fc16, khangman-4.7.1-2.fc16, kig-4.7.1-2.fc16, kiten-4.7.1-2.fc16, klettres-4.7.1-2.fc16, kmplot-4.7.1-2.fc16, kolourpaint-4.7.1-1.fc16, konsole-4.7.1-1.fc16, kross-interpreters-4.7.1-1.fc16, kruler-4.7.1-1.fc16, ksaneplugin-4.7.1-1.fc16, ksnapshot-4.7.1-1.fc16, kstars-4.7.1-3.fc16, ktouch-4.7.1-2.fc16, kturtle-4.7.1-2.fc16, kwordquiz-4.7.1-2.fc16, libkdcraw-4.7.1-1.fc16, libkdeedu-4.7.1-1.fc16, libkexiv2-4.7.1-1.fc16, libkipi-4.7.1-1.fc16, libksane-4.7.1-1.fc16, marble-4.7.1-1.fc16, okular-4.7.1-2.fc16, oxygen-icon-theme-4.7.1-1.fc16, parley-4.7.1-2.fc16, PyKDE4-4.7.1-2.fc16, rocs-4.7.1-3.fc16, shared-desktop-ontologies-0.8.0-1.fc16, smokegen-4.7.1-1.fc16, smokekde-4.7.1-2.fc16, smokeqt-4.7.1-2.fc16, step-4.7.1-2.fc16, svgpart-4.7.1-1.fc16, kdeutils-4.7.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/akonadi-1.6.1-1.fc16,blinken-4.7.1-2.fc16,cantor-4.7.1-2.fc16,gwenview-4.7.1-2.fc16,kalgebra-4.7.1-1.fc16,kalzium-4.7.1-1.fc16,kamera-4.7.1-1.fc16,kanagram-4.7.1-1.fc16,kate-4.7.1-1.fc16,kbruch-4.7.1-2.fc16,kcolorchooser-4.7.1-1.fc16,kdeaccessibility-4.7.1-1.fc16,kdeadmin-4.7.1-2.fc16,kdeartwork-4.7.1-1.fc16,kdebase-4.7.1-2.fc16,kdebase-runtime-4.7.1-1.fc16,kdebase-workspace-4.7.1-2.fc16,kdeedu-4.7.1-2.fc16,kdegames-4.7.1-1.fc16,kdegraphics-4.7.1-1.fc16,kdegraphics-strigi-analyzer-4.7.1-1.fc16,kdegraphics-thumbnailers-4.7.1-1.fc16,kde-l10n-4.7.1-1.fc16,kdelibs-4.7.1-1.fc16,kdemultimedia-4.7.1-4.fc16,kdenetwork-4.7.1-1.fc16,kdepim-4.7.1-1.fc16,kdepimlibs-4.7.1-1.fc16,kdepim-runtime-4.7.1-4.fc16,kdeplasma-addons-4.7.1-1.fc16,kdesdk-4.7.1-1.fc16,kde-settings-4.7-7.fc16,kdetoys-4.7.1-1.fc16,kdeutils-4.7.1-3.fc16,kgamma-4.7.1-1.fc16,kgeography-4.7.1-2.fc16,khangman-4.7.1-2.fc16,kig-4.7.1-2.fc16,kiten-4.7.1-2.fc16,klettres-4.7.1-2.fc16,kmplot-4.7.1-2.fc16,kolourpaint-4.7.1-1.fc16,konsole-4.7.1-1.fc16,kross-interpreters-4.7.1-1.fc16,kruler-4.7.1-1.fc16,ksaneplugin-4.7.1-1.fc16,ksnapshot-4.7.1-1.fc16,kstars-4.7.1-3.fc16,ktouch-4.7.1-2.fc16,kturtle-4.7.1-2.fc16,kwordquiz-4.7.1-2.fc16,libkdcraw-4.7.1-1.fc16,libkdeedu-4.7.1-1.fc16,libkexiv2-4.7.1-1.fc16,libkipi-4.7.1-1.fc16,libksane-4.7.1-1.fc16,marble-4.7.1-1.fc16,okular-4.7.1-2.fc16,oxygen-icon-theme-4.7.1-1.fc16,parley-4.7.1-2.fc16,PyKDE4-4.7.1-2.fc16,rocs-4.7.1-3.fc16,shared-desktop-ontologies-0.8.0-1.fc16,smokegen-4.7.1-1.fc16,smokekde-4.7.1-2.fc16,smokeqt-4.7.1-2.fc16,step-4.7.1-2.fc16,svgpart-4.7.1-1.fc16
Comment 5 Fedora Update System 2011-10-04 17:18:55 EDT
akonadi-1.6.1-1.fc16, blinken-4.7.1-2.fc16, cantor-4.7.1-2.fc16, gwenview-4.7.1-2.fc16, kalgebra-4.7.1-1.fc16, kalzium-4.7.1-1.fc16, kamera-4.7.1-1.fc16, kanagram-4.7.1-1.fc16, kate-4.7.1-1.fc16, kbruch-4.7.1-2.fc16, kcolorchooser-4.7.1-1.fc16, kdeaccessibility-4.7.1-1.fc16, kdeadmin-4.7.1-2.fc16, kdeartwork-4.7.1-1.fc16, kdebase-4.7.1-2.fc16, kdebase-runtime-4.7.1-1.fc16, kdebase-workspace-4.7.1-2.fc16, kdeedu-4.7.1-2.fc16, kdegames-4.7.1-1.fc16, kdegraphics-4.7.1-1.fc16, kdegraphics-strigi-analyzer-4.7.1-1.fc16, kdegraphics-thumbnailers-4.7.1-1.fc16, kde-l10n-4.7.1-1.fc16, kdemultimedia-4.7.1-4.fc16, kdenetwork-4.7.1-1.fc16, kdepim-4.7.1-1.fc16, kdepimlibs-4.7.1-1.fc16, kdepim-runtime-4.7.1-4.fc16, kdeplasma-addons-4.7.1-1.fc16, kdesdk-4.7.1-1.fc16, kde-settings-4.7-7.fc16, kdetoys-4.7.1-1.fc16, kgamma-4.7.1-1.fc16, kgeography-4.7.1-2.fc16, khangman-4.7.1-2.fc16, kig-4.7.1-2.fc16, kiten-4.7.1-2.fc16, klettres-4.7.1-2.fc16, kmplot-4.7.1-2.fc16, kolourpaint-4.7.1-1.fc16, konsole-4.7.1-1.fc16, kross-interpreters-4.7.1-1.fc16, kruler-4.7.1-1.fc16, ksaneplugin-4.7.1-1.fc16, ksnapshot-4.7.1-1.fc16, kstars-4.7.1-3.fc16, ktouch-4.7.1-2.fc16, kturtle-4.7.1-2.fc16, kwordquiz-4.7.1-2.fc16, libkdcraw-4.7.1-1.fc16, libkdeedu-4.7.1-1.fc16, libkexiv2-4.7.1-1.fc16, libkipi-4.7.1-1.fc16, libksane-4.7.1-1.fc16, marble-4.7.1-1.fc16, okular-4.7.1-2.fc16, oxygen-icon-theme-4.7.1-1.fc16, parley-4.7.1-2.fc16, PyKDE4-4.7.1-2.fc16, rocs-4.7.1-3.fc16, shared-desktop-ontologies-0.8.0-1.fc16, smokegen-4.7.1-1.fc16, smokekde-4.7.1-2.fc16, smokeqt-4.7.1-2.fc16, step-4.7.1-2.fc16, svgpart-4.7.1-1.fc16, kdeutils-4.7.1-3.fc16, kdelibs-4.7.1-2.fc16.1 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.